Debian Bug report logs - #508292
gkrellm-snmp links against openssl without exception

version graph

Package: gkrellm-snmp; Maintainer for gkrellm-snmp is Juan Manuel Garcia Molina <juanma@debian.org>; Source for gkrellm-snmp is src:gkrellm-snmp.

Reported by: bdefreese@debian.org

Date: Tue, 9 Dec 2008 17:42:02 UTC

Severity: serious

Tags: lenny-ignore, patch

Found in versions gkrellm-snmp/1.0-1.1, gkrellm-snmp/1.0-1

Fixed in version gkrellm-snmp/1.0-1.2

Done: Michael Banck <mbanck@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Juan Manuel Garcia Molina <juanma@debian.org>:
Bug#508292; Package gkrellm-snmp. (Tue, 09 Dec 2008 17:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to bdefreese@debian.org:
New Bug report received and forwarded. Copy sent to Juan Manuel Garcia Molina <juanma@debian.org>. (Tue, 09 Dec 2008 17:42:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Barry deFreese <bdefreese@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gkrellm-snmp links against openssl without exception
Date: Tue, 09 Dec 2008 12:40:14 -0500
Package: gkrellm-snmp
Version: 1.0-1.1
Severity: Serious

Hello,

While working on an NMU for gkrellm-snmp, I noticed that the package is 
linked against Openssl libraries without a license exception.

Probably need to contact upstream to see if they can use gnutls or 
possibly snmpv3 will give the required functionality.

Thank you,

Barry deFreese




Information forwarded to debian-bugs-dist@lists.debian.org, Juan Manuel Garcia Molina <juanma@debian.org>:
Bug#508292; Package gkrellm-snmp. (Mon, 22 Dec 2008 21:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Juan Manuel Garcia Molina <juanma@debian.org>. (Mon, 22 Dec 2008 21:21:08 GMT) Full text and rfc822 format available.

Message #10 received at 508292@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: bdefreese@debian.org, 508292@bugs.debian.org
Subject: Re: Bug#508292: gkrellm-snmp links against openssl without exception
Date: Mon, 22 Dec 2008 23:17:56 +0200
found 508292 1.0-1
thanks

On Tue, Dec 09, 2008 at 12:40:14PM -0500, Barry deFreese wrote:
> Package: gkrellm-snmp
> Version: 1.0-1.1
> Severity: Serious
>
> Hello,
>
> While working on an NMU for gkrellm-snmp, I noticed that the package is  
> linked against Openssl libraries without a license exception.
>
> Probably need to contact upstream to see if they can use gnutls or  
> possibly snmpv3 will give the required functionality.

This applies to the lenny version too, so noting that to the BTS.

The direct openssl linkage could be easily eliminated because the binary
doesn't really need it:

dpkg-shlibdeps: warning: dependency on libcrypto.so.0.9.8 could be avoided if "debian/gkrellm-snmp/usr/lib/gkrellm2/plugins/gkrellm_snmp.so" were not uselessly linked against it (they use none of its symbols).

However, I understand transitive openssl linkage through libsnmp15 is just as bad.

Reading #501145 and 

 http://lintian.debian.org/tags/possible-gpl-code-linked-with-openssl.html

this is quite a big can of worms to open...
-- 
Niko Tyni   ntyni@debian.org




Bug marked as found in version 1.0-1. Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Mon, 22 Dec 2008 21:21:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Juan Manuel Garcia Molina <juanma@debian.org>:
Bug#508292; Package gkrellm-snmp. (Thu, 25 Dec 2008 21:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Paleino <d.paleino@gmail.com>:
Extra info received and forwarded to list. Copy sent to Juan Manuel Garcia Molina <juanma@debian.org>. (Thu, 25 Dec 2008 21:18:02 GMT) Full text and rfc822 format available.

Message #17 received at 508292@bugs.debian.org (full text, mbox):

From: David Paleino <d.paleino@gmail.com>
To: Christian W. Zuckschwerdt <zany@triq.net>
Cc: 508292@bugs.debian.org
Subject: gkrellm-snmp should be licensed with OpenSSL exception clause
Date: Thu, 25 Dec 2008 22:17:00 +0100
[Message part 1 (text/plain, inline)]
Hello Christian,
I'm a Debian contributor and, as you might know, Debian is in its final rush to
get Lenny released.

One of the developers reported a bug against gkrellm-snmp, which you can see at

[0]  <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508292>

Simply licensing gkrellm-snmp under GPL-2+ is not possible: your software links
to OpenSSL at compile-time, and GPL and the OpenSSL license are incompatible.
You can find the reasons why at:

[1]  <http://www.gnome.org/~markmc/openssl-and-the-gpl.html>

Unfortunately, just linking against gnutls instead of libssl isn't feasible,
since your software also links to libsnmp15, which is itself linked to libssl.

Our build tools suggest that the libssl linkage is probably useless, but the
problem persists because of the "transitive" linkage through libsnmp.

The solution is: please add an OpenSSL exception clause to your licensing
terms. You can read how to do this in [1].

Please, do this as soon as possible: this is a Release-Critical bug for Debian.

Also, please do keep the bugreport address CCed (508292@bugs.debian.org), so
that other Debian users can see your response.

Thank you for your support,
David Paleino

-- 
 . ''`.  Debian maintainer | http://wiki.debian.org/DavidPaleino
 : :'  : Linuxer #334216 --|-- http://www.hanskalabs.net/
 `. `'`  GPG: 1392B174 ----|---- http://snipr.com/qa_page
   `-   2BAB C625 4E66 E7B8 450A C3E1 E6AA 9017 1392 B174
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Juan Manuel Garcia Molina <juanma@debian.org>:
Bug#508292; Package gkrellm-snmp. (Sat, 03 Jan 2009 19:06:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Zuckschwerdt <zany@triq.net>:
Extra info received and forwarded to list. Copy sent to Juan Manuel Garcia Molina <juanma@debian.org>. (Sat, 03 Jan 2009 19:06:08 GMT) Full text and rfc822 format available.

Message #22 received at 508292@bugs.debian.org (full text, mbox):

From: Christian Zuckschwerdt <zany@triq.net>
To: David Paleino <d.paleino@gmail.com>
Cc: 508292@bugs.debian.org
Subject: Re: gkrellm-snmp should be licensed with OpenSSL exception clause
Date: Sat, 3 Jan 2009 20:05:36 +0100
Hi,

thanks for contacting me on this. I added the exception to the source  
code boiler plate text. See http://triq.net/gkrellm/gkrellm_snmp-1.1.tar.gz
I also removed the SSL linking -- although this may break the plugin  
if libsnmp doesn't pull in the link dependancy itself (is this  
reliable on all systems these days?)

Am 25.12.2008 um 22:17 schrieb David Paleino:

>  <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508292>



Happy new year!

regards,
Christian







Information stored :
Bug#508292; Package gkrellm-snmp. (Sat, 03 Jan 2009 21:18:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Paleino <d.paleino@gmail.com>:
Extra info received and filed, but not forwarded. (Sat, 03 Jan 2009 21:18:08 GMT) Full text and rfc822 format available.

Message #27 received at 508292-quiet@bugs.debian.org (full text, mbox):

From: David Paleino <d.paleino@gmail.com>
To: 508292-quiet@bugs.debian.org
Cc: Christian Zuckschwerdt <zany@triq.net>
Subject: Re: gkrellm-snmp should be licensed with OpenSSL exception clause
Date: Sat, 3 Jan 2009 22:12:15 +0100
[Message part 1 (text/plain, inline)]
On Sat, 3 Jan 2009 20:05:36 +0100, Christian Zuckschwerdt wrote:

> Hi,
> 
> thanks for contacting me on this. I added the exception to the source  
> code boiler plate text. See http://triq.net/gkrellm/gkrellm_snmp-1.1.tar.gz
> I also removed the SSL linking -- although this may break the plugin  
> if libsnmp doesn't pull in the link dependancy itself (is this  
> reliable on all systems these days?)

If you added the exception clause, you could have linked SSL without problems :)

Thank you for working on this!

> Happy new year!

To you too :)

Kindly,
David

-- 
 . ''`.  Debian maintainer | http://wiki.debian.org/DavidPaleino
 : :'  : Linuxer #334216 --|-- http://www.hanskalabs.net/
 `. `'`  GPG: 1392B174 ----|---- http://snipr.com/qa_page
   `-   2BAB C625 4E66 E7B8 450A C3E1 E6AA 9017 1392 B174
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Juan Manuel Garcia Molina <juanma@debian.org>:
Bug#508292; Package gkrellm-snmp. (Sat, 03 Jan 2009 21:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Paleino <d.paleino@gmail.com>:
Extra info received and forwarded to list. Copy sent to Juan Manuel Garcia Molina <juanma@debian.org>. (Sat, 03 Jan 2009 21:30:02 GMT) Full text and rfc822 format available.

Message #32 received at 508292@bugs.debian.org (full text, mbox):

From: David Paleino <d.paleino@gmail.com>
To: 508292@bugs.debian.org
Subject: gkrellm-snmp: diff for NMU version 1.1-1.1
Date: Sat, 03 Jan 2009 22:27:07 +0100
tags 508292 + patch
thanks

Dear maintainer,

I've prepared an NMU for gkrellm-snmp (versioned as 1.1-1.1), which contains the clarified license
by the upstream author.
Please tell me if I can proceed with the NMU, I'm going to ask debian-release if it's suitable for
a testing-proposed-updates upload.

Regards,
David Paleino
diff -Nru gkrellm-snmp-1.0/ChangeLog gkrellm-snmp-1.1/ChangeLog
--- gkrellm-snmp-1.0/ChangeLog	2006-05-25 16:40:35.000000000 +0200
+++ gkrellm-snmp-1.1/ChangeLog	2009-01-03 18:43:32.000000000 +0100
@@ -1,5 +1,9 @@
 GKrellM_SNMP Changelog:
 
+1.1 (2009-01-03)
+ - License clarification (thanks to Debian maintainers)
+ - Removed unnecessary linking to libssl
+
 1.0 (2006-05-01)
  - Makefile changes for OS-X (thanks to Mark Duling)
  - Added grid config to charts
diff -Nru gkrellm-snmp-1.0/debian/changelog gkrellm-snmp-1.1/debian/changelog
--- gkrellm-snmp-1.0/debian/changelog	2009-01-03 22:27:07.000000000 +0100
+++ gkrellm-snmp-1.1/debian/changelog	2009-01-03 22:27:07.000000000 +0100
@@ -1,3 +1,12 @@
+gkrellm-snmp (1.1-1.1) UNRELEASED; urgency=medium
+
+  * Non-maintainer upload.
+  * New upstream release, author added OpenSSL exemption to his 
+    licensing (Closes: #508292)
+  * debian/copyright updated with the new information.
+
+ -- David Paleino <d.paleino@gmail.com>  Sat, 03 Jan 2009 22:21:42 +0100
+
 gkrellm-snmp (1.0-1.1) unstable; urgency=low
 
   * Non-maintainer upload.
diff -Nru gkrellm-snmp-1.0/debian/copyright gkrellm-snmp-1.1/debian/copyright
--- gkrellm-snmp-1.0/debian/copyright	2009-01-03 22:27:07.000000000 +0100
+++ gkrellm-snmp-1.1/debian/copyright	2009-01-03 22:27:07.000000000 +0100
@@ -7,23 +7,33 @@
 
 Upstream Author: Christian W. Zuckschwerdt <zany@triq.net>
 
-Copyright: Copyright (C) 2000-2006 Christian W. Zuckschwerdt <zany@triq.net>
+Copyright: Copyright (C) 2000-2009 Christian W. Zuckschwerdt <zany@triq.net>
 
 License:
 --------------------------------------------------------------------------
-This program is free software which I release under the GNU General Public
-License. You may redistribute and/or modify this program under the terms
-of that license as published by the Free Software Foundation; either
-version 2 of the License, or (at your option) any later version.
-
-This program is distributed in the hope that it will be useful,
-but WITHOUT ANY WARRANTY; without even the implied warranty of
-MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
-
-To get a copy of the GNU General Puplic License,  write to the Free
-Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
-02110-1301, USA.
+  GKrellM_SNMP is free software; you can redistribute it and/or
+  modify it under the terms of the GNU General Public License as
+  published by the Free Software Foundation; either version 2 of
+  the License, or (at your option) any later version.
+
+  In addition, as a special exception, the copyright holders give
+  permission to link the code of this program with the OpenSSL library,
+  and distribute linked combinations including the two.
+  You must obey the GNU General Public License in all respects
+  for all of the code used other than OpenSSL.  If you modify
+  file(s) with this exception, you may extend this exception to your
+  version of the file(s), but you are not obligated to do so.  If you
+  do not wish to do so, delete this exception statement from your
+  version.  If you delete this exception statement from all source
+  files in the program, then also delete it here.
+
+  This program is distributed in the hope that it will be useful,
+  but WITHOUT ANY WARRANTY; without even the implied warranty of
+  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+  GNU General Public License for more details.
+
+  You should have received a copy of the GNU General Public License
+  along with GKrellM_SNMP. If not, see <http://www.gnu.org/>.
 
 On Debian GNU/Linux systems, the complete text of the GNU General
 Public License can be found in `/usr/share/common-licenses/GPL'.
diff -Nru gkrellm-snmp-1.0/FAQ gkrellm-snmp-1.1/FAQ
--- gkrellm-snmp-1.0/FAQ	2006-05-25 16:43:55.000000000 +0200
+++ gkrellm-snmp-1.1/FAQ	2009-01-03 19:41:46.000000000 +0100
@@ -1,5 +1,5 @@
 GKrellM_SNMP FAQ:
-
+=================
 
 > I've downloaded v0.9 of GKrellM_SNMP, and it seams like i'm missing
 > crypto libs... Where can i get them?
diff -Nru gkrellm-snmp-1.0/gkrellm_snmp.c gkrellm-snmp-1.1/gkrellm_snmp.c
--- gkrellm-snmp-1.0/gkrellm_snmp.c	2006-05-25 16:50:35.000000000 +0200
+++ gkrellm-snmp-1.1/gkrellm_snmp.c	2009-01-03 19:50:54.000000000 +0100
@@ -1,22 +1,32 @@
 /* SNMP reader plugin for GKrellM 
-|  Copyright (C) 2000-2006  Christian W. Zuckschwerdt <zany@triq.net>
+|  Copyright (C) 2000-2009  Christian W. Zuckschwerdt <zany@triq.net>
 |
 |  Author:  Christian W. Zuckschwerdt  <zany@triq.net>  http://triq.net/
 |  Latest versions might be found at:  http://gkrellm.net/
 |
-| This program is free software; you can redistribute it and/or
-| modify it under the terms of the GNU General Public License
-| as published by the Free Software Foundation; either version 2
-| of the License, or (at your option) any later version.
+| GKrellM_SNMP is free software; you can redistribute it and/or
+| modify it under the terms of the GNU General Public License as
+| published by the Free Software Foundation; either version 2 of
+| the License, or (at your option) any later version.
 |
+| In addition, as a special exception, the copyright holders give
+| permission to link the code of this program with the OpenSSL library,
+| and distribute linked combinations including the two.
+| You must obey the GNU General Public License in all respects
+| for all of the code used other than OpenSSL.  If you modify
+| file(s) with this exception, you may extend this exception to your
+| version of the file(s), but you are not obligated to do so.  If you
+| do not wish to do so, delete this exception statement from your
+| version.  If you delete this exception statement from all source
+| files in the program, then also delete it here.
+
 | This program is distributed in the hope that it will be useful,
 | but WITHOUT ANY WARRANTY; without even the implied warranty of
 | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 | GNU General Public License for more details.
-|
+
 | You should have received a copy of the GNU General Public License
-| along with this program; if not, write to the Free Software
-| Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+| along with GKrellM_SNMP. If not, see <http://www.gnu.org/>.
 */
 
 /* Installation:
@@ -1394,7 +1404,7 @@
    "Copyright (C) 2000-2006 Christian W. Zuckschwerdt <zany@triq.net>\n"
    "\n"
    "http://triq.net/gkrellm.html\n\n"
-   "Released under the GNU Public Licence"
+   "Released under the GNU Public Licence with OpenSSL exemption"
 ;
 
 static gchar *reader_title[CLIST_WIDTH] =
diff -Nru gkrellm-snmp-1.0/Makefile gkrellm-snmp-1.1/Makefile
--- gkrellm-snmp-1.0/Makefile	2006-05-01 18:54:45.000000000 +0200
+++ gkrellm-snmp-1.1/Makefile	2009-01-03 19:41:37.000000000 +0100
@@ -4,8 +4,8 @@
 GTK_CONFIG ?= pkg-config gtk+-2.0
 SNMPLIB = -lnetsnmp
 SYSLIB ?= $(SNMPLIB)
-# we need lib crypto if libsnmp has privacy support.
-SYSLIB += -L/usr/local/ssl/lib -L/usr/ssl/lib -lcrypto
+# older systems need lib crypto if libsnmp has privacy support.
+# SYSLIB += -L/usr/local/ssl/lib -L/usr/ssl/lib -lcrypto
 
 USER_PLUGIN_DIR ?= $(HOME)/.gkrellm2/plugins
 PLUGIN_DIR ?= /usr/lib/gkrellm2/plugins
diff -Nru gkrellm-snmp-1.0/README gkrellm-snmp-1.1/README
--- gkrellm-snmp-1.0/README	2006-05-25 16:48:40.000000000 +0200
+++ gkrellm-snmp-1.1/README	2009-01-03 19:40:41.000000000 +0100
@@ -1,46 +1,45 @@
+GKrellM_SNMP README
+===================
 
-gkrellm_snmp: GKrellM SNMP monitor Plugin
-Author:    Christian W. Zuckschwerdt <zany@triq.net>
-Homepage:  http://triq.net/gkrellm/
+- gkrellm_snmp: GKrellM SNMP monitor Plugin
+- Author:    Christian W. Zuckschwerdt <zany@triq.net>
+- Homepage:  http://triq.net/gkrellm/
 
 
-A plugin for GKrellM, that let's you monitor SNMP vars.
+**A plugin for GKrellM, that let's you monitor SNMP vars.**
 
 
 Prerequisites:
-===============
+--------------
 You need a SNMP library to run this plugin.
-You also need the header (include) files for building.
-Tested with UCD-SNMP >= 4.1 ( http://ucd-snmp.ucdavis.edu/ ).
-(If you want to try -old- CMU-SNMP or UCD-SNMP <= 4.0, please be so kind
- and mail some feedback).
-
-The UCD-SNMP project is know as NETSNMP now. If you have NETSNMP installed
-please try "make netsnmp" and let me know if it works.
+You also need the SNMP header (include) files for building (as well as
+GTK-2.0 and GKrellM headers).
+Tested with UCD-SNMP and Net-SNMP.
+(If you want to link to the -old- UCD-SNMP try "make ucdsnmp").
 
-This means for e.g. Redhat (7.1) you need to install ucd-smp as well as
-ucd-snmp-devel!
+This means for e.g. Debian/Ubuntu you need to install libsnmp-dev
+(and libgtk2.0-dev / gkrellm as well).
 
 Compiling:
-===========
+----------
 
 * For linux: just run the normal 'make'.
 * For freebsd: run 'make freebsd'.
-* To use NETSNMP run 'make netsnmp'.
+* For OS X: run 'make osx'.
 
 
 Installing:
-===========
+-----------
 Running 'make install-user' will place the plugin in your current home
-directory under ~/.gkrellm2/plugins.
+directory under $HOME/.gkrellm2/plugins.
 Running 'make install' as superuser will place the plugin under
 /usr/lib/gkrellm2/plugins. You can also manually place the resulting
-gkrellm_snmp.so under ~/.gkrellm2/plugins. After restarting gkrellm, you
+gkrellm_snmp.so under $HOME/.gkrellm2/plugins. After restarting gkrellm, you
 should be able to enable it in the gkrellm plugins configuration menu.
 
 
 Troubleshooting:
-================
+----------------
 If you have trouble compiling the plugin. Make sure you have gtk 2 and 
 gkrellm >= 2.0.0 and you've installed the gkrellm header files in
 /usr/include/gkrellm or /usr/local/include/gkrellm. If you have placed the
@@ -48,14 +47,14 @@
 
  
 Bugs:
-=====
+-----
 No GKrellm 1.x support anymore. Anyone needing that?
 I do consider this version stable.
-please mail any problems/bugs to me...
+Please mail any problems/bugs to me...
 
 
 Some examples:
-==============
+--------------
 
 (1)
 
@@ -105,7 +104,7 @@
 
 
 More interessting OIDs:
-=======================
+-----------------------
 - Chasis inlet temperature (tested on cisco7204VXR)
   CISCO-SMI::ciscoMgmt.13.1.3.1.3.1
  .1.3.6.1.4.1.9.9.13.1.3.1.3.1
@@ -144,7 +143,7 @@
 
 
 Call for features!
-==================
+------------------
 
 Do you want/need
  monitor multiple oid's on the same server? (snmp bulk get)
@@ -164,26 +163,25 @@
 
 
 Please help:
-============
+------------
 
 Can you give some usage examples?
 
 
-
 Tested on:
-==========
-FreeBSD  4.0 Release   w/ ucd-snmp-4.0.1   libcrypt not needed
-SuSE Linux 6.4   w/ ucd-snmp-4.0.1
-SuSE Linux 6.4   w/ ucd-snmp-4.1.1
-SuSE Linux 8.2   w/ ucd-snmp-4.2.6
-RedHad Linux 6.1
-Mac OS-X
-Gentoo Linux
-
+----------
+- FreeBSD  4.0 Release   w/ ucd-snmp-4.0.1   libcrypt not needed
+- SuSE Linux 6.4   w/ ucd-snmp-4.0.1
+- SuSE Linux 6.4   w/ ucd-snmp-4.1.1
+- SuSE Linux 8.2   w/ ucd-snmp-4.2.6
+- RedHad Linux 6.1
+- Mac OS-X
+- Gentoo Linux
+- Debian / Ubuntu
 
 
 Thanks to:
-==========
+----------
 
  Bill Wilson <billw@gkrellm.net>
  (valuable feedback and last but not least making GKrellM!)
@@ -228,9 +226,9 @@
 
 
 AUTHOR AND WEBPAGE:
-===================
+-------------------
 
-Christian W. Zuckschwerdt  <zany@triq.net>
-GKrellM SNMP can be found at http://triq.net/gkrellm/
-and also at GKrellM homepage http://gkrellm.net
+- Christian W. Zuckschwerdt  <zany@triq.net>
+- GKrellM SNMP can be found at http://triq.net/gkrellm/
+- and also at GKrellM homepage http://gkrellm.net/
 
diff -Nru gkrellm-snmp-1.0/TODO gkrellm-snmp-1.1/TODO
--- gkrellm-snmp-1.0/TODO	2006-05-03 03:02:03.000000000 +0200
+++ gkrellm-snmp-1.1/TODO	2009-01-03 19:28:19.000000000 +0100
@@ -1,6 +1,5 @@
-
-TODO / WISHLIST:
-================
+GKrellM_SNMP TODO / WISHLIST
+============================
 
 TODO: instance mapping
 TODO: meters




Tags added: patch Request was from David Paleino <d.paleino@gmail.com> to control@bugs.debian.org. (Sat, 03 Jan 2009 21:30:04 GMT) Full text and rfc822 format available.

Information stored :
Bug#508292; Package gkrellm-snmp. (Sat, 03 Jan 2009 21:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Paleino <d.paleino@gmail.com>:
Extra info received and filed, but not forwarded. (Sat, 03 Jan 2009 21:42:03 GMT) Full text and rfc822 format available.

Message #39 received at 508292-quiet@bugs.debian.org (full text, mbox):

From: David Paleino <d.paleino@gmail.com>
To: debian-release@lists.debian.org
Cc: 508292-quiet@bugs.debian.org, 508292-submitter@bugs.debian.org, Juan Manuel Garcia Molina <juanma@debian.org>
Subject: T-P-U upload for gkrellm-snmp
Date: Sat, 3 Jan 2009 22:36:22 +0100
[Message part 1 (text/plain, inline)]
Hello Release Managers,
regarding bug #508292 (in short: OpenSSL exemption clause missing in
GPL-licensed code), I've contacted the upstream author, and he released a new
upstream version (1.1) with the added exemption clause:

On Sat, 3 Jan 2009 20:05:36 +0100, Christian Zuckschwerdt wrote:

> Hi,
> 
> thanks for contacting me on this. I added the exception to the source  
> code boiler plate text. See http://triq.net/gkrellm/gkrellm_snmp-1.1.tar.gz
> I also removed the SSL linking -- although this may break the plugin  
> if libsnmp doesn't pull in the link dependancy itself (is this  
> reliable on all systems these days?)

(the mail is recorded in the BTS)

The code only differs from 1.0 by this added clause, the removed SSL linking,
and some documentation changes (i.e. ~ changed to $HOME, and other similar)

I've contacted the maintainer for a NMU: will I be allowed to upload (-- ask
for sponsorship in) testing-proposed-updates?

See the attached debdiff between 1.0-1.1 and 1.1-1.1.

Kindly,
David

-- 
 . ''`.  Debian maintainer | http://wiki.debian.org/DavidPaleino
 : :'  : Linuxer #334216 --|-- http://www.hanskalabs.net/
 `. `'`  GPG: 1392B174 ----|---- http://snipr.com/qa_page
   `-   2BAB C625 4E66 E7B8 450A C3E1 E6AA 9017 1392 B174
[gkrellm-snmp_1.0-1.1_1.1-1.1_NMU.diff.gz (application/x-gzip, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Message sent on to bdefreese@debian.org:
Bug#508292. (Sat, 03 Jan 2009 21:42:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Juan Manuel Garcia Molina <juanma@debian.org>:
Bug#508292; Package gkrellm-snmp. (Mon, 12 Jan 2009 00:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Juan Manuel Garcia Molina <juanma@debian.org>. (Mon, 12 Jan 2009 00:15:02 GMT) Full text and rfc822 format available.

Message #47 received at 508292@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 508292@bugs.debian.org
Cc: debian-release@lists.debian.org
Subject: Re: gkrellm-snmp links against openssl without exception
Date: Sun, 11 Jan 2009 16:12:54 -0800
tags 508292 lenny-ignore
thanks

David,

Please don't NMU to version 1.1 via t-p-u.  It should be sufficient to copy
upstream's license exception statement into debian/copyright, which is a
much more straightforward fix and avoids clobbering the maintainer's
versioning (you should definitely not number an NMU 1.1-1.1 when there
hasn't been a 1.1-1 upload by the maintainer!).

In fact, I believe that this bug should already not be considered RC for
lenny.  The licensing information found in debian/copyright is correct,
despite the fact that additional permissions have been granted; and because
the permission has been granted, there are no licensing problems that make
the package itself unreleasable.  I'm therefore marking this bug
'lenny-ignore', but cc:ing debian-release so the RMs have an opportunity to
override me if they disagree.

Cheers,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org




Tags added: lenny-ignore Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Mon, 12 Jan 2009 00:15:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Juan Manuel Garcia Molina <juanma@debian.org>:
Bug#508292; Package gkrellm-snmp. (Thu, 17 Sep 2009 21:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Paleino <d.paleino@gmail.com>:
Extra info received and forwarded to list. Copy sent to Juan Manuel Garcia Molina <juanma@debian.org>. (Thu, 17 Sep 2009 21:57:03 GMT) Full text and rfc822 format available.

Message #54 received at 508292@bugs.debian.org (full text, mbox):

From: David Paleino <d.paleino@gmail.com>
To: 508292@bugs.debian.org
Subject: Status of RC bug
Date: Thu, 17 Sep 2009 23:53:13 +0200
[Message part 1 (text/plain, inline)]
Hello,
what's the status of this bug? Can you please package the newer version,
closing it?

Thanks,
David

-- 
 . ''`.  Debian maintainer | http://wiki.debian.org/DavidPaleino
 : :'  : Linuxer #334216 --|-- http://www.hanskalabs.net/
 `. `'`  GPG: 1392B174 ----|---- http://snipr.com/qa_page
   `-   2BAB C625 4E66 E7B8 450A C3E1 E6AA 9017 1392 B174
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Juan Manuel Garcia Molina <juanma@debian.org>:
Bug#508292; Package gkrellm-snmp. (Sun, 29 Nov 2009 11:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Banck <mbanck@debian.org>:
Extra info received and forwarded to list. Copy sent to Juan Manuel Garcia Molina <juanma@debian.org>. (Sun, 29 Nov 2009 11:06:03 GMT) Full text and rfc822 format available.

Message #59 received at 508292@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: 508292@bugs.debian.org
Subject: Re: gkrellm-snmp links against openssl without exception
Date: Sun, 29 Nov 2009 12:04:02 +0100
[Message part 1 (text/plain, inline)]
Hi,

I have uploaded the attached interdiff as NMU.


Cheers,

Michael
[interdiff (text/plain, attachment)]

Reply sent to Michael Banck <mbanck@debian.org>:
You have taken responsibility. (Sun, 29 Nov 2009 11:21:13 GMT) Full text and rfc822 format available.

Notification sent to bdefreese@debian.org:
Bug acknowledged by developer. (Sun, 29 Nov 2009 11:21:14 GMT) Full text and rfc822 format available.

Message #64 received at 508292-close@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: 508292-close@bugs.debian.org
Subject: Bug#508292: fixed in gkrellm-snmp 1.0-1.2
Date: Sun, 29 Nov 2009 11:17:30 +0000
Source: gkrellm-snmp
Source-Version: 1.0-1.2

We believe that the bug you reported is fixed in the latest version of
gkrellm-snmp, which is due to be installed in the Debian FTP archive:

gkrellm-snmp_1.0-1.2.diff.gz
  to main/g/gkrellm-snmp/gkrellm-snmp_1.0-1.2.diff.gz
gkrellm-snmp_1.0-1.2.dsc
  to main/g/gkrellm-snmp/gkrellm-snmp_1.0-1.2.dsc
gkrellm-snmp_1.0-1.2_i386.deb
  to main/g/gkrellm-snmp/gkrellm-snmp_1.0-1.2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 508292@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Banck <mbanck@debian.org> (supplier of updated gkrellm-snmp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Sun, 29 Nov 2009 11:48:58 +0100
Source: gkrellm-snmp
Binary: gkrellm-snmp
Architecture: source i386
Version: 1.0-1.2
Distribution: unstable
Urgency: low
Maintainer: Juan Manuel Garcia Molina <juanma@debian.org>
Changed-By: Michael Banck <mbanck@debian.org>
Description: 
 gkrellm-snmp - snmp plug-in for GKrellM
Closes: 508292
Changes: 
 gkrellm-snmp (1.0-1.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * gkrellm_snmp.c: Updated with clarified license header from 1.1 release.
   * debian/copyright: Updated. (Closes: #508292)
Checksums-Sha1: 
 703861213a4da2493392fe6c7dc2fa15a3b86e98 1066 gkrellm-snmp_1.0-1.2.dsc
 fa3add3038fd950784a8fbd33ce09f9d3e5c2154 3752 gkrellm-snmp_1.0-1.2.diff.gz
 6b6db300add091f2fae2870ba023ced31d8ddd76 24386 gkrellm-snmp_1.0-1.2_i386.deb
Checksums-Sha256: 
 ada45c01d23e79eb92a26cd043f4cfde36853bd22f4366bcd0af7aeb59c12e32 1066 gkrellm-snmp_1.0-1.2.dsc
 20b0f3cf528a01f3cc99342f795bd77d61b2dec5357e008ebfcf84fbe14e73a8 3752 gkrellm-snmp_1.0-1.2.diff.gz
 79f30e60d444ac35984e87e96fd1771b8cabfb02a06cd778326340c9603f3662 24386 gkrellm-snmp_1.0-1.2_i386.deb
Files: 
 97106de33f01926f864656e0bafd1b84 1066 net optional gkrellm-snmp_1.0-1.2.dsc
 2f551c0f0a822c1a0cf1e76beff2901b 3752 net optional gkrellm-snmp_1.0-1.2.diff.gz
 aad33e4d4791bc22508c91131d3e5e0a 24386 net optional gkrellm-snmp_1.0-1.2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFLElTbmHaJYZ7RAb8RAw2WAKDDaSIasHknT3twuqJNPL7NAemHLQCfSFF5
WD7lxWgax6GPb/70cQF8tLQ=
=2PgV
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 10:21:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 04:07:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.